# -*- coding: utf-8; mode: rpm-spec -*-
# $Id: emacs-ecb.spec,v 1.6 2005/12/14 22:27:41 eugene Exp $

Version: 2.32
Release: alt4
Name: emacs-ecb
License: GPL
Group: Editors
Url: http://ecb.sf.net
Summary: Emacs Code Browser
Summary(ru_RU.UTF-8): Броузер кода для Emacs

Packager: Emacs Maintainers Team <emacs@packages.altlinux.org>

Requires: emacs-common emacs-elib
Requires: emacs-cedet = %get_SVR emacs-cedet
Source: ecb-%version.tar.gz
Source1: ecb-emacs.el

# Remove obsolete variable semantic-before-toplevel-bovination-hook
Patch0: %name-2.32-obsolete.patch
# Use correct path to info and html help, NEWS file
Patch1: %name-2.32-doc_path.patch
# Modify message dialogs
Patch2: %name-2.32-message_box.patch

BuildArch: noarch

BuildPreReq: emacs22-X11-athena

# Automatically added by buildreq on Mon Nov 01 2004
BuildRequires: emacs-common emacs-elib emacs-cedet emacs-jdee hd2u

%description
This is code browser for Emacs for C, C++, Java

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.UTF-8
ECB представляет собой среду разработки для языков C, C++, Java и других, поддержка
которых имеется в emacs-cedet

Весь код на Emacs Lisp откомпилирован, для получения исходных текстов установите
пакет %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.UTF-8
Пакет %name-el содержит исходные тексты для пакета %name, который
является дополнением к редактору Emacs.

%name-el необходим вам только, если вы собираетесь изменять файлы
входящие в %name, или хотите посмотреть некоторые примеры.

%prep
%setup -q -n ecb-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%__subst s,#!/usr/bin/bash,#!/bin/bash, ecb-images/klaus.sh
%__subst s,#!/usr/bin/bash,#!/bin/bash, ecb-images/methods/height-14_to_21/klaus.sh
dos2unix -U ecb-images/klaus.sh ecb-images/methods/height-14_to_21/klaus.sh

%build
make LOADPATH="%_emacslispdir/elib" CEDET="%_emacslispdir/cedet" all

%install
%__mkdir_p %buildroot%_emacslispdir/ecb
%__install -m 644 *.el* %buildroot%_emacslispdir/ecb
%__cp -R ecb-images %buildroot%_emacslispdir/ecb

%__mkdir_p %buildroot%_infodir
%__install -m 644 info-help/* %buildroot%_infodir

%__mkdir_p %buildroot/etc/emacs/site-start.d
%__install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/ecb.el
touch %buildroot%_emacslispdir/ecb/ecb-images/.nosearch

%__mkdir_p %buildroot%_docdir/%name
%__cp -R html-help %buildroot%_docdir/%name
%__install -m 644 RELEASE_NOTES %buildroot%_docdir/%name/
%__install -m 644 README %buildroot%_docdir/%name/
%__install -m 644 NEWS %buildroot%_docdir/%name/


%post
%install_info ecb.info

%preun
%uninstall_info ecb.info

%files
%doc %_docdir/%name/
%dir %_emacslispdir/ecb/
%_emacslispdir/ecb/*.elc
%_emacslispdir/ecb/ecb-images/
%config(noreplace) /etc/emacs/site-start.d/ecb.el
%_infodir/*
%_emacslispdir/ecb/ecb-autoloads.el

%files el
%_emacslispdir/ecb/*.el


%changelog
* Sat Jun 16 2007 Eugene Vlasov <eugvv@altlinux.ru> 2.32-alt4
- Rebuild with cedet-1.0pre4
- Used emacs22-X11 for build
- Strict requires on version of emacs-cedet, used in build environment

* Thu Dec 08 2005 Eugene Vlasov <eugvv@altlinux.ru> 2.32-alt3
- Removed requires on emacs-jdee

* Tue Sep 27 2005 Eugene Vlasov <eugvv@altlinux.ru> 2.32-alt2
- Removed obsolete variable semantic-before-toplevel-bovination-hook
- Corrected default value of path to info, html help, NEWS file
- Modified ECB message dialogs look for emacs22

* Tue Sep 13 2005 Eugene Vlasov <eugvv@altlinux.ru> 2.32-alt1
- New version
- Removed load-path modification from ecb-emacs.el
- Added %_emacslispdir/ecb/ecb-images/.nosearch (#7592)
- Dir %_emacslispdir/ecb now belongs to package

* Mon Nov 01 2004 Ivan Fedorov <ns@altlinux.ru> 2.27-alt1
- New release

* Wed Apr 07 2004 Ott Alex <ott@altlinux.ru> 2.23-alt1
- New release

* Wed Mar 10 2004 Ott Alex <ott@altlinux.ru> 2.22-alt1
- New release, many bugfixes

* Tue Feb 17 2004 Ott Alex <ott@altlinux.ru> 2.21-alt1
- New release

* Tue Feb 03 2004 Ott Alex <ott@altlinux.ru> 2.20-alt1
- New release

* Sat Jan 24 2004 Ott Alex <ott@altlinux.ru> 2.11-alt2
- Fix dependences

* Sat Nov 15 2003 Ott Alex <ott@altlinux.ru> 2.11-alt1
- New release

* Sun Nov 09 2003 Ott Alex <ott@altlinux.ru> 2.01-alt1
- New release
- Rebuild with cedet

* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 1.96-alt1
- New release

* Thu Jul 17 2003 Ott Alex <ott@altlinux.ru> 1.95.1-alt1
- New release

* Sat Jul 12 2003 Ott Alex <ott@altlinux.ru> 1.95-alt1
- New version

* Mon Jun 23 2003 Ott Alex <ott@altlinux.ru> 1.94-alt1
- New release

* Sun Apr 27 2003 Alex Ott <ottalex@narod.ru> 1.93-alt1.1
- Fixing spec file

* Mon Mar 31 2003 Ott Alex <ott@altlinux.ru> 1.93-alt1
- 1.93

* Thu Mar 13 2003 Ott Alex <ott@altlinux.ru> 1.92.1-alt2
- Fixing startup file

* Sun Mar 09 2003 Ott Alex <ott@altlinux.ru> 1.92.1-alt1
- New release

* Tue Feb 25 2003 Ott Alex <ott@altlinux.ru> 1.92-alt1
- New release.

* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 1.91.1-alt2
- Fixing spec file

* Thu Feb 13 2003 Ott Alex <ott@altlinux.ru> 1.91.1-alt1
- New release. many bugfixes

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.90-alt2
- fixing spec

* Fri Feb 07 2003 Ott Alex <ott@altlinux.ru> 1.90-alt1
- New version of package

* Mon Jan 13 2003 Ott Alex <ott@altlinux.ru> 1.80-alt5
- fixinf spec file

* Mon Aug 26 2002 Ott Alex <ott@altlinux.ru> 1.80-alt3
- fixinf spec file

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 1.80-alt2
- Splitting on byte-compiled & source packages

* Wed Aug 14 2002 Ott Alex <ott@altlinux.ru> 1.80-alt1
- New version with many improvments

* Mon Aug 12 2002 Ott Alex <ott@altlinux.ru> 1.70-alt3
- Correcting spec file

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 1.70-alt2
- Adding right Requires to spec

* Thu Jul 18 2002 Ott Alex <ott@altlinux.ru> 1.70-alt1
- Initial build

